Bug 729113 - livecd-creator is unable to create large images
Summary: livecd-creator is unable to create large images
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: 15
Hardware: i386
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 18:30 UTC by Pranav Ganorkar
Modified: 2013-07-29 22:30 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 14:56:22 UTC


Attachments (Terms of Use)

Description Pranav Ganorkar 2011-08-08 18:30:04 UTC
Description of problem:
I know this bug will be a duplicate but this problem has not been taken seriously by anyone.Large iso images cannot be created by livecd-creator as of uptil fedora 15.When a image is of more than 4gb is created the resize2fs returns an error and the  entire process is halted.(also to note  that  everything upto making and installing packages is done successfully but the last step of creating the iso is halted by some errors from resize2fs. )


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
The livedvd or cd is not created.

Expected results:
he livedvd or cd should be created.whatever be it's size

Additional info:

Comment 1 Brian Lane 2011-08-08 18:56:14 UTC
* What bug do you think this is a duplicate of?
* What errors do you see from resize2fs?
* Is the image size defined in your kickstart large enough?

Comment 2 Pranav Ganorkar 2011-08-11 14:08:42 UTC
(In reply to comment #1)
> * What bug do you think this is a duplicate of?
> * What errors do you see from resize2fs?
> * Is the image size defined in your kickstart large enough?






The errors given by livecd-creator after installing all the packages is:
Unmounting directory /var/tmp/imgcreate-wszV7q/install_root
Unmounting directory /var/tmp/imgcreate-wszV7q/install_root failed, using lazy umount
Unmounting directory /var/tmp/imgcreate-wszV7q/install_root failed, using lazy umount
lazy umount succeeded on /var/tmp/imgcreate-wszV7q/install_root
lazy umount succeeded on /var/tmp/imgcreate-wszV7q/install_root
Losetup remove /dev/loop0
Checking filesystem /var/tmp/imgcreate-wszV7q/tmp-Ko4779/ext3fs.img
Error creating Live CD : resize2fs returned an error (1)!  image to debug at /tmp/resize-image-NYYBMQ
   
             Also,I have changed the part / option in the kickstart file to 6Gb in both the fedora-live-base.ks and fedora-live-desktop.ks   .   

Also the extra-custom packages i included in the fedora-livecd-desktop.ks are:
icedtea-web
java-1.6.0-openjdk
foomatic-db-ppds
foomatic
#tool for enabling read/write support for ntfs patitions
ntfs-config
#programming tools
qt
qt-creator
qt-config
qt-demos
anjuta
gtk3-devel
pygtk2
libtool
intltool
python-pyside
pyside-tools
#compiz tools
compiz
ccsm
compiz-fusion
compiz-fusion-extras
compiz-fusion-unsupported
compiz-plugins-main
fusion-icon
compiz-gnome
#wine and playonlinux
wine
playonlinux
binutils
#google-chrome
google-chrome-stable
#audacious with mp3 support
audacious
audacious-plugins-freeworld-mp3
#livecd tools for modifying fedora and to install fedora to a usb
livecd-tools
spin-kickstarts
rpmfusion-free-remix-kickstarts
rpmfusion-nonfree-remix-kickstarts
#adobe-flash-player
flash-plugin 
nspluginwrapper 
alsa-plugins-pulseaudio 
libcurl
#Oracle-VirtualBox and it's dependencies 
kernel-devel 
kernel-headers
gcc
dkms
VirtualBox-4.1
#opera Browser
opera
#dropbox
nautilus-dropbox
#pidgin
pidgin
gnome-shell-extension-pidgin
#vlc
vlc
#quake3(ioquake 3 version)
quake3
#we exclude the nvidia proprietary drivers because currently the gnome-shell does not have support for them.
#akmod-nvidia
#xorg-x11-drv-nvidia-libs
#beesu,a very useful tool for nautilus
beesu
nautilus-beesu-manager

I don't think the need of space for these packages + standard fedora livecd will be more than 6gb.(please correct me here if i am wrong!)

Comment 3 Brian Lane 2011-08-11 21:22:37 UTC
What happens if you try running resize2fs -M on the image file that it leaves behind? It looks like that actual output from the resize2fs command is being lost.

Comment 4 Pranav Ganorkar 2011-08-12 14:08:08 UTC
(In reply to comment #3)
> What happens if you try running resize2fs -M on the image file that it leaves
> behind? It looks like that actual output from the resize2fs command is being
> lost.

Hi,Brian.After googling much on the on the issue, I have found a workaround for my problem.The problem seems to be in the /usr/lib/python2.7/site-packages/imgcreate/fs.py file.The workaround is that 

def e2fsck(fs):
logging.debug("Checking filesystem %s" % fs)
rc = subprocess.call(["/sbin/e2fsck", "-f", "-y", fs])
rc = subprocess.call(["/sbin/e2fsck", "-f", "-y", fs])  #This line needs to be #added.#
return rc


  If you find a problem in understanding my instructions,do not hesitate to go on this link:
https://docs.google.com/View?id=ddkxbv6k_7q79q82d7&pli=1
In that document the author has explained the workaround which fixes my problem.

(please correct me if the bug is of livecd-tools or fsck)
  
I hope this bug will be fixed in a near-future release of livecd-tools.And also another bug of livecd-tools is that we cannot add extra packages to a already created iso.The base-on option doesn't work.Do you think i should  file a seperate bug for this.

Comment 5 Brian Lane 2011-08-12 15:07:11 UTC
Sorry, I don't understand how that could fix things. It would be helpful if you could get the error output from those commands and attach it here.

Comment 6 Pranav Ganorkar 2011-08-13 07:14:57 UTC
(In reply to comment #5)
> Sorry, I don't understand how that could fix things. It would be helpful if you
> could get the error output from those commands and attach it here.

Hi Brian.I ran the resize2fs -M command on the dumped file and it was resized successfully without any errors.so,I think there's no error in resize2fs command but the error is in it's call from the code.

Comment 7 Brian Lane 2011-10-15 17:37:44 UTC
Do you have any leftover /dev/loopX devices connected? The output of losetup -a will show these. I may be hitting this same problem myself.

Comment 8 David Juran 2012-06-19 06:38:51 UTC
I ran into the similar problem (well, at least same error code) and I indeed do have leftover loop devices connected.

[djuran@localhost live]$ sudo losetup -a
[sudo] password for djuran: 
/dev/loop0: [fd03]:1507927 (/var/tmp/imgcreate-tE6ZkG/tmp-bP4o4b/ext3fs.img)
/dev/loop1: [fd03]:1507930 (/var/tmp/imgcreate-Mzn0xZ/tmp-wIvbnE/ext3fs.img)
/dev/loop2: [fd03]:1507938 (/var/tmp/imgcreate-ShM2iP/tmp-h5_gwg/ext3fs.img)
/dev/loop3: [fd03]:1671253 (/var/tmp/imgcreate-NO_TfB/tmp-_CCVoo/ext3fs.img)
/dev/loop4: [fd03]:1671275 (/var/tmp/imgcreate-dzQolo/tmp-yPg2m1/ext3fs.img)
/dev/loop5: [fd03]:5243248 (/var/tmp/imgcreate-Gn2O63/tmp-jShN_y/ext3fs.img)
/dev/loop6: [fd03]:1671339 (/var/tmp/imgcreate-Gn2O63/iso-FKyfxf/isolinux/efiboot.img)
/dev/loop7: [fd03]:1671340 (/var/tmp/imgcreate-Gn2O63/iso-FKyfxf/isolinux/macboot.img)

livecd-tools-16.15-1.fc16.x86_64 on F16 in my case

Comment 9 Brian Lane 2012-06-19 16:33:28 UTC
Sometimes an aborted run will leave hanging loop devices. You may be able to umount them and use losetup -d on them, other times you can't and end up having to reboot. I don't think this is specifically a livecd-creator bug, but something odd going wrong with loop devices.

Comment 10 Fedora End Of Life 2012-08-07 14:56:24 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Suhan Andrei 2013-07-29 22:30:22 UTC
Hi , 
This shows up in fedora 18 as well, please consider reopening it. 

I think this time to workaround it one needs different fschk command and changes in python code and maybe something more ( see also comment 4 https://bugzilla.redhat.com/show_bug.cgi?id=729113#c4 ):

def e2fsck(fs):
    logging.info("Checking filesystem %s" % fs)
    rc = subprocess.call(["/usr/sbin/fsck.ext3", "-f", "-y", fs])
    return rc
    #return call(["/sbin/e2fsck", "-f", "-y", fs])

on my setup I found in the log of creating live cd that may relate to different command :

"
Checking filesystem /var/tmp/imgcreate-kSoh3W/tmp-2Yc9oR/ext3fs.img
"


Note You need to log in before you can comment on or make changes to this bug.